<html>
<head>
<title>Ogre::Font::GlyphInfo Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Font.html">Font</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1Font_1_1GlyphInfo.html">GlyphInfo</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Font::GlyphInfo Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Font::GlyphInfo" -->
<p>Information about the position and size of a glyph in a texture.  
 <a href="structOgre_1_1Font_1_1GlyphInfo.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreFont_8h_source.html">OgreFont.h</a>&gt;</code></p>

<p><a href="structOgre_1_1Font_1_1GlyphInfo-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Font_1_1GlyphInfo.html#a8a6e99cee590d9723af63ac4a6db8849">GlyphInfo</a> (<a class="el" href="classOgre_1_1Font.html#ad48cf05dd479e7c8f1d7a97221d933b1">CodePoint</a> id, const <a class="el" href="classOgre_1_1Font.html#a17ebc3668a45365c1243a83f36a512ef">UVRect</a> &amp;rect, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> aspect)</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Font.html#ad48cf05dd479e7c8f1d7a97221d933b1">CodePoint</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Font_1_1GlyphInfo.html#a5df1a038d81fcf018ea7f5aac3181a62">codePoint</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Font.html#a17ebc3668a45365c1243a83f36a512ef">UVRect</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Font_1_1GlyphInfo.html#a46b20f8f199e3d2f698aa44a6553ab50">uvRect</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Font_1_1GlyphInfo.html#a4eec8222d9985bb3b15d886120fd1ae6">aspectRatio</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Information about the position and size of a glyph in a texture. </p>

<p>Definition at line <a class="el" href="OgreFont_8h_source.html#l00142">142</a> of file <a class="el" href="OgreFont_8h_source.html">OgreFont.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a8a6e99cee590d9723af63ac4a6db8849"></a><!-- doxytag: member="Ogre::Font::GlyphInfo::GlyphInfo" ref="a8a6e99cee590d9723af63ac4a6db8849" args="(CodePoint id, const UVRect &amp;rect, Real aspect)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1Font_1_1GlyphInfo.html#a8a6e99cee590d9723af63ac4a6db8849">Ogre::Font::GlyphInfo::GlyphInfo</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Font.html#ad48cf05dd479e7c8f1d7a97221d933b1">CodePoint</a>&#160;</td>
          <td class="paramname"><em>id</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Font.html#a17ebc3668a45365c1243a83f36a512ef">UVRect</a> &amp;&#160;</td>
          <td class="paramname"><em>rect</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>aspect</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreFont_8h_source.html#l00148">148</a> of file <a class="el" href="OgreFont_8h_source.html">OgreFont.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a4eec8222d9985bb3b15d886120fd1ae6"></a><!-- doxytag: member="Ogre::Font::GlyphInfo::aspectRatio" ref="a4eec8222d9985bb3b15d886120fd1ae6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1Font_1_1GlyphInfo.html#a4eec8222d9985bb3b15d886120fd1ae6">Ogre::Font::GlyphInfo::aspectRatio</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreFont_8h_source.html#l00146">146</a> of file <a class="el" href="OgreFont_8h_source.html">OgreFont.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5df1a038d81fcf018ea7f5aac3181a62"></a><!-- doxytag: member="Ogre::Font::GlyphInfo::codePoint" ref="a5df1a038d81fcf018ea7f5aac3181a62" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Font.html#ad48cf05dd479e7c8f1d7a97221d933b1">CodePoint</a> <a class="el" href="structOgre_1_1Font_1_1GlyphInfo.html#a5df1a038d81fcf018ea7f5aac3181a62">Ogre::Font::GlyphInfo::codePoint</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreFont_8h_source.html#l00144">144</a> of file <a class="el" href="OgreFont_8h_source.html">OgreFont.h</a>.</p>

</div>
</div>
<a class="anchor" id="a46b20f8f199e3d2f698aa44a6553ab50"></a><!-- doxytag: member="Ogre::Font::GlyphInfo::uvRect" ref="a46b20f8f199e3d2f698aa44a6553ab50" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Font.html#a17ebc3668a45365c1243a83f36a512ef">UVRect</a> <a class="el" href="structOgre_1_1Font_1_1GlyphInfo.html#a46b20f8f199e3d2f698aa44a6553ab50">Ogre::Font::GlyphInfo::uvRect</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreFont_8h_source.html#l00145">145</a> of file <a class="el" href="OgreFont_8h_source.html">OgreFont.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreFont_8h_source.html">OgreFont.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:56
</p>
</body>
</html>
